org.jgroups.blocks.locking

## Class Owner

- java.lang.Object
- - org.jgroups.blocks.locking.Owner

All Implemented Interfaces:
  Streamable

    public class Owner
    extends java.lang.Object
    implements Streamable

Represents the owner of a lock. Wraps address and thread ID

Author:
  Bela Ban

### Field Summary

Fields
`protected Address` `address`
`protected long` `thread_id`

### Constructor Summary

Constructors
Constructor and Description
`Owner()`
`Owner(Address address, long thread_id)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)`
`Address` `getAddress()`
`long` `getThreadId()`
`int` `hashCode()`
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### address

    protected Address address

#### thread_id

    protected long thread_id

### Constructor Detail

#### Owner

    public Owner()

#### Owner

    public Owner(Address address,
         long thread_id)

### Method Detail

#### getAddress

    public Address getAddress()

#### getThreadId

    public long getThreadId()

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Specified by:
  `writeTo` in interface `Streamable`
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Specified by:
  `readFrom` in interface `Streamable`
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`